Diff
checker
Text
Text
Images
Documents
Excel
Folders
Legal
Enterprise
Desktop
Pricing
Sign in
Download Diffchecker Desktop
Compare text
Find the difference between two text files
Tools
History
Real-time editor
Hide whitespace changes
Hide unchanged lines
Disable line wrap
Layout
Split
Unified
Diff precision
Smart
Word
Char
Text styles
Change appearance
Syntax highlighting
Choose syntax
Ignore
Transform text
Go to first change
Edit input
Diffchecker Desktop
The most secure way to run Diffchecker. Get the Diffchecker Desktop app: your diffs never leave your computer!
Get Desktop
Untitled diff
Created
11 years ago
Diff never expires
Clear
Export
Share
Explain
5 removals
Lines
Total
Removed
Characters
Total
Removed
To continue using this feature, upgrade to
Diff
checker
Pro
View Pricing
78 lines
Copy
18 additions
Lines
Total
Added
Characters
Total
Added
To continue using this feature, upgrade to
Diff
checker
Pro
View Pricing
85 lines
Copy
#!/bin/sh
#!/bin/sh
Copy
Copied
Copy
Copied
PATH=/sbin:/bin:/usr/sbin:/usr/bin
PATH=/sbin:/bin:/usr/sbin:/usr/bin
:/usr/local/sbin
# for a chrooted server: "-u bind -t /var/lib/named"
# for a chrooted server: "-u bind -t /var/lib/named"
# Don't modify this line, change or create /etc/default/bind9.
# Don't modify this line, change or create /etc/default/bind9.
OPTIONS=""
OPTIONS=""
PID_FILE=/var/run/bind/run/named.pid
PID_FILE=/var/run/bind/run/named.pid
BACKUP_PID=/var/run/named/named.pid
BACKUP_PID=/var/run/named/named.pid
case "$1" in
case "$1" in
start)
start)
echo -n "Starting domain name service: named"
echo -n "Starting domain name service: named"
modprobe capability >/dev/null 2>&1 || true
modprobe capability >/dev/null 2>&1 || true
# dirs under /var/run can go away on reboots.
# dirs under /var/run can go away on reboots.
mkdir -p /var/run/bind/run
mkdir -p /var/run/bind/run
chmod 775 /var/run/bind/run
chmod 775 /var/run/bind/run
chown root:bind /var/run/bind/run >/dev/null 2>&1 || true
chown root:bind /var/run/bind/run >/dev/null 2>&1 || true
Copy
Copied
Copy
Copied
if [ ! -x /usr/
sbin/named ]; then
if [ ! -x /usr/
local/
sbin/named ]; then
echo "named binary missing - not starting"
echo "named binary missing - not starting"
exit 1
exit 1
fi
fi
Copy
Copied
Copy
Copied
if start-stop-daemon --start --quiet --exec /usr/
sbin/named \
if start-stop-daemon --start --quiet --exec /usr/
local/
sbin/named \
--pidfile $PID_FILE -- $OPTIONS; then
--pidfile $PID_FILE -- $OPTIONS; then
if [ -x /sbin/resolvconf ] ; then
if [ -x /sbin/resolvconf ] ; then
echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo
echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo
fi
fi
fi
fi
echo "."
echo "."
;;
;;
stop)
stop)
echo -n "Stopping domain name service: named"
echo -n "Stopping domain name service: named"
#if [ -x /sbin/resolvconf ]; then
#if [ -x /sbin/resolvconf ]; then
# /sbin/resolvconf -d lo
# /sbin/resolvconf -d lo
#fi
#fi
Copy
Copied
Copy
Copied
#/usr/
sbin/rndc stop
#/usr/
local/
sbin/rndc stop
PF=$PID_FILE
PF=$PID_FILE
if [ ! -s "$PF" ]; then
if [ ! -s "$PF" ]; then
PF=$BACKUP_PID;
PF=$BACKUP_PID;
fi
fi
if [ ! -s "$PF" ]; then
if [ ! -s "$PF" ]; then
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
exit 10;
exit 10;
fi
fi
kill `cat $PF`
kill `cat $PF`
echo "."
echo "."
;;
;;
reload)
reload)
Copy
Copied
Copy
Copied
#/usr/
sbin/rndc reload
#/usr/
local/
sbin/rndc reload
PF=$PID_FILE
#kill -HUP `cat $PID_FILE`
if [ ! -s "$PF" ]; then
PF=$PID_FILE
PF=$BACKUP_PID;
if [ ! -s "$PF" ]; then
PF=$BACKUP_PID;
fi
fi
Copy
Copied
Copy
Copied
kill -HUP `cat $PF`
if [ ! -s "$PF" ]; then
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
exit 10;
fi
kill -HUP `cat $PF`
echo "."
;;
;;
restart|force-reload)
restart|force-reload)
$0 stop
$0 stop
sleep 2
sleep 2
$0 start
$0 start
;;
;;
*)
*)
echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2
echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2
exit 1
exit 1
;;
;;
esac
esac
Copy
Copied
Copy
Copied
exit 0
exit 0
Saved diffs
Original text
Open file
#!/bin/sh PATH=/sbin:/bin:/usr/sbin:/usr/bin # for a chrooted server: "-u bind -t /var/lib/named" # Don't modify this line, change or create /etc/default/bind9. OPTIONS="" PID_FILE=/var/run/bind/run/named.pid BACKUP_PID=/var/run/named/named.pid case "$1" in start) echo -n "Starting domain name service: named" modprobe capability >/dev/null 2>&1 || true # dirs under /var/run can go away on reboots. mkdir -p /var/run/bind/run chmod 775 /var/run/bind/run chown root:bind /var/run/bind/run >/dev/null 2>&1 || true if [ ! -x /usr/sbin/named ]; then echo "named binary missing - not starting" exit 1 fi if start-stop-daemon --start --quiet --exec /usr/sbin/named \ --pidfile $PID_FILE -- $OPTIONS; then if [ -x /sbin/resolvconf ] ; then echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo fi fi echo "." ;; stop) echo -n "Stopping domain name service: named" #if [ -x /sbin/resolvconf ]; then # /sbin/resolvconf -d lo #fi #/usr/sbin/rndc stop PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill `cat $PF` echo "." ;; reload) #/usr/sbin/rndc reload PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi kill -HUP `cat $PF` ;; restart|force-reload) $0 stop sleep 2 $0 start ;; *) echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2 exit 1 ;; esac exit 0
Changed text
Open file
#!/bin/sh PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin # for a chrooted server: "-u bind -t /var/lib/named" # Don't modify this line, change or create /etc/default/bind9. OPTIONS="" PID_FILE=/var/run/bind/run/named.pid BACKUP_PID=/var/run/named/named.pid case "$1" in start) echo -n "Starting domain name service: named" modprobe capability >/dev/null 2>&1 || true # dirs under /var/run can go away on reboots. mkdir -p /var/run/bind/run chmod 775 /var/run/bind/run chown root:bind /var/run/bind/run >/dev/null 2>&1 || true if [ ! -x /usr/local/sbin/named ]; then echo "named binary missing - not starting" exit 1 fi if start-stop-daemon --start --quiet --exec /usr/local/sbin/named \ --pidfile $PID_FILE -- $OPTIONS; then if [ -x /sbin/resolvconf ] ; then echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo fi fi echo "." ;; stop) echo -n "Stopping domain name service: named" #if [ -x /sbin/resolvconf ]; then # /sbin/resolvconf -d lo #fi #/usr/local/sbin/rndc stop PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill `cat $PF` echo "." ;; reload) #/usr/local/sbin/rndc reload #kill -HUP `cat $PID_FILE` PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill -HUP `cat $PF` echo "." ;; restart|force-reload) $0 stop sleep 2 $0 start ;; *) echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2 exit 1 ;; esac exit 0
Find difference